using Abp.AspNetCore.Mvc.Controllers;
using Abp.IdentityFramework;
using Microsoft.AspNetCore.Identity;

namespace YGNT.Exam.Controllers
{
    public abstract class ExamControllerBase: AbpController
    {
        protected ExamControllerBase()
        {
            LocalizationSourceName = ExamConsts.LocalizationSourceName;
        }

        protected void CheckErrors(IdentityResult identityResult)
        {
            identityResult.CheckErrors(LocalizationManager);
        }
    }
}
